**Source URL:** https://general.veevavault.dev/sitevault/vault-api/api-reference/26.1/binders/export-binders/export-binder-sections.md

# Export Binder Sections



Use this request to export only specific sections and documents from the latest version of a binder in your Vault. This will export only parts of the binder, not the complete binder.

Before submitting this request:

* The Export Binder feature must be enabled in your Vault.

* You must be assigned permissions to use the API.

* You must have the *Export Binder* permission.

* You must have the *View Document* permission for the binder.

* Only documents in the binder which you have the *View Document* permission are available to export.

To export the latest version, <Endpoint path="/api/{version}/objects/binders/{binder_id}/actions/export" method="POST"></Endpoint>

To export a specific version, <Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{major_version}` | The binder `major_version_number__v` field value. |
| `{minor_version}` | The binder `minor_version_number__v` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

Create a CSV or JSON input file with the `id` values of the binder sections and/or documents to be exported.

To retrieve a list of all nodes from a binder, <span class="label label-success">GET</span> `/api/{version}/objects/binders/{binder_id}?depth=all`. You may include any number of valid nodes. Vault will ignore `id` values which are invalid, but will export all which are valid.

Exporting a binder section node will automatically include all of its subsections and documents therein.

## Request: Export latest version {#request-export-latest-version}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-raw 'id
1415381339215
1415381339220' \
https://myvault.veevavault.com/api/v15.0/objects/binders/454/actions/export

```
</CodeExample>

## Request: Export a specific version {#request-export-a-specific-version}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-raw 'id
1415381339215
1415381339220' \
https://myvault.veevavault.com/api/v15.0/objects/binders/454/1/0/actions/export

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Job for Binder Export Started",
  "URL": "https://myvault.veevavault.com/api/v15.0/services/jobs/1201",
  "job_id": 1201
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following information:

* `url` - The URL to retrieve the current status of the binder export job.

* `job_id` - The Job ID value is used to retrieve the [status](/vault-api/api-reference/26.1/jobs/retrieve-job-status) and results of the binder export request.



---

**Previous:** [Export Binder Version](/sitevault/vault-api/api-reference/26.1/binders/export-binders/export-binder-version)  
**Next:** [Retrieve Binder Export Results](/sitevault/vault-api/api-reference/26.1/binders/export-binders/retrieve-binder-export-results)